commit 9b09d89342ea522cf356d90649465e93ec743ba4
Author: Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>
Date:   Mon Oct 14 17:45:31 2013 +0200

    Fix imap lockups.patch

diff --git a/kdecore/CMakeLists.txt b/kdecore/CMakeLists.txt
index f543f0e..7cdff03 100644
--- a/kdecore/CMakeLists.txt
+++ b/kdecore/CMakeLists.txt
@@ -721,3 +721,5 @@ install(FILES
 #    DESTINATION  ${SERVICETYPES_INSTALL_DIR}
 # )
 
+add_subdirectory(includes)
+
diff --git a/kdecore/includes/CMakeLists.txt b/kdecore/includes/CMakeLists.txt
new file mode 100644
index 0000000..2a10c50
--- /dev/null
+++ b/kdecore/includes/CMakeLists.txt
@@ -0,0 +1,34 @@
+
+macro(install_headers _dir)
+  install( DIRECTORY ${_dir} DESTINATION ${INCLUDE_INSTALL_DIR} )
+endmacro()
+
+macro(create_header _file _path _header)
+    #For installation
+    set(CAMELCASE_INCLUDE_PATH "../${_header}")
+    configure_file(config-CamelCaseInclude.cmake ${CMAKE_CURRENT_BINARY_DIR}/KDE/${_file})
+    #For including from the kdepimlibs stuff
+    set(CAMELCASE_INCLUDE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../${_path}/${_header}")
+    configure_file(config-CamelCaseInclude.cmake ${CMAKE_CURRENT_BINARY_DIR}/includes/KDE/${_file})
+endmacro()
+
+create_header(KCalendarSystem date kcalendarsystem.h)
+create_header(KConfig config kconfig.h)
+create_header(KCodecs text kcodecs.h)
+create_header(KConfigGroup config kconfiggroup.h)
+create_header(KDateTime date kdatetime.h)
+create_header(KDebug io kdebug.h)
+create_header(KGlobal kernel kglobal.h)
+create_header(KJob jobs kjob.h)
+create_header(KLocale localization klocale.h)
+create_header(KMimeType services kmimetype.h)
+create_header(KRandom util krandom.h)
+create_header(KSaveFile io ksavefile.h)
+create_header(KStandardDirs kernel kstandarddirs.h)
+create_header(KSystemTimeZone date ksystemtimezone.h)
+create_header(KTemporaryFile io ktemporaryfile.h)
+create_header(KTimeZone date ktimezone.h)
+create_header(KUrl io kurl.h)
+create_header(KLocalizedString localization klocalizedstring.h)
+
+install_headers(${CMAKE_CURRENT_BINARY_DIR}/KDE)
diff --git a/kdecore/includes/config-CamelCaseInclude.cmake b/kdecore/includes/config-CamelCaseInclude.cmake
new file mode 100644
index 0000000..b6bb3e9
--- /dev/null
+++ b/kdecore/includes/config-CamelCaseInclude.cmake
@@ -0,0 +1,2 @@
+#include "${CAMELCASE_INCLUDE_PATH}"
+
diff --git a/kdecore/network/ktcpsocket.cpp b/kdecore/network/ktcpsocket.cpp
index 17b84d1..cdffccf 100644
--- a/kdecore/network/ktcpsocket.cpp
+++ b/kdecore/network/ktcpsocket.cpp
@@ -63,7 +63,12 @@ static QSsl::SslProtocol qSslProtocolFromK(KTcpSocket::SslVersion sslVersion)
         return QSsl::AnyProtocol;
     }
     //does it contain any valid protocol?
-    if (!(sslVersion & (KTcpSocket::SslV2 | KTcpSocket::SslV3 | KTcpSocket::TlsV1))) {
+    KTcpSocket::SslVersions validVersions (KTcpSocket::SslV2 | KTcpSocket::SslV3 | KTcpSocket::TlsV1);
+#if QT_VERSION >= 0x040800
+    validVersions |= KTcpSocket::TlsV1SslV3;
+    validVersions |= KTcpSocket::SecureProtocols;
+#endif
+    if (!(sslVersion & validVersions)) {
         return QSsl::UnknownProtocol;
     }
 
@@ -316,6 +321,8 @@ public:
             return KTcpSocket::NetworkError;
         case QAbstractSocket::UnsupportedSocketOperationError:
             return KTcpSocket::UnsupportedSocketOperationError;
+        case QAbstractSocket::SslHandshakeFailedError:
+            return KTcpSocket::SslHandshakeFailedError;
         case QAbstractSocket::DatagramTooLargeError:
             //we don't do UDP
         case QAbstractSocket::AddressInUseError:
diff --git a/kdecore/network/ktcpsocket.h b/kdecore/network/ktcpsocket.h
index 58dfa2c..c281b3e 100644
--- a/kdecore/network/ktcpsocket.h
+++ b/kdecore/network/ktcpsocket.h
@@ -175,7 +175,8 @@ public:
         SocketResourceError,
         SocketTimeoutError,
         NetworkError,
-        UnsupportedSocketOperationError
+        UnsupportedSocketOperationError,
+        SslHandshakeFailedError
     };
 /*
 The following is based on reading the OpenSSL interface code of both QSslSocket
diff --git a/kimap/CMakeLists.txt b/kimap/CMakeLists.txt
index e8a7b79..978c5ac 100644
--- a/kimap/CMakeLists.txt
+++ b/kimap/CMakeLists.txt
@@ -41,7 +41,12 @@ include_directories(${QT_INCLUDES})
 #include(GenerateExportHeader)
 
 
-include_directories( ../kdecore ../ ${CMAKE_CURRENT_BINARY_DIR})
+include_directories( ../kdecore 
+    ${CMAKE_CURRENT_BINARY_DIR}/../kdecore/includes/includes
+    ${CMAKE_CURRENT_BINARY_DIR}/../kdecore/includes/includes/KDE
+    ../ 
+    ${CMAKE_CURRENT_BINARY_DIR}
+)
 
 
 
diff --git a/kimap/acl.cpp b/kimap/acl.cpp
index 980538b..d0bf3e2 100644
--- a/kimap/acl.cpp
+++ b/kimap/acl.cpp
@@ -21,7 +21,7 @@
 
 #include <QtCore/QByteArray>
 #include <QtCore/QMap>
-#include <kglobal.h>
+#include <KDE/KGlobal>
 
 namespace KIMAP {
 namespace Acl {
@@ -29,8 +29,7 @@ namespace Acl {
 class RightsMap
 {
   public:
-    RightsMap()
-    {
+    RightsMap() {
       map['l'] = Lookup;
       map['r'] = Read;
       map['s'] = KeepSeen;
@@ -60,7 +59,7 @@ class RightsMap
     QMap<char, Right> map;
 };
 
-Q_GLOBAL_STATIC(RightsMap, globalRights)
+K_GLOBAL_STATIC( RightsMap, globalRights )
 
 }
 }
@@ -69,17 +68,18 @@ KIMAP::Acl::Rights KIMAP::Acl::rightsFromString( const QByteArray &string )
 {
   Rights result;
 
-  if ( string.isEmpty() )
+  if ( string.isEmpty() ) {
     return result;
+  }
 
   int pos = 0;
-  if ( string[0] == '+' || string[0]== '-') { // Skip modifier if any
+  if ( string[0] == '+' || string[0] == '-' ) { // Skip modifier if any
     pos++;
   }
 
   for ( int i = pos; i < string.size(); i++ ) {
-    if ( globalRights()->map.contains( string[i] ) ) {
-      result|= globalRights()->map[string[i]];
+    if ( globalRights->map.contains( string[i] ) ) {
+      result|= globalRights->map[string[i]];
     }
   }
 
@@ -90,9 +90,9 @@ QByteArray KIMAP::Acl::rightsToString( Rights rights )
 {
   QByteArray result;
 
-  for ( int right = Lookup; right<=Custom9; right<<=1 ) {
+  for ( int right = Lookup; right <= Custom9; right <<= 1 ) {
     if ( rights & right ) {
-      result+= globalRights()->map.key( (Right)right );
+      result += globalRights->map.key( (Right)right );
     }
   }
 
@@ -125,3 +125,5 @@ KIMAP::Acl::Rights KIMAP::Acl::denormalizedRights( KIMAP::Acl::Rights rights )
   return denormalized;
 }
 
+#include "acl.moc"
+
diff --git a/kimap/acl.h b/kimap/acl.h
index 40e738f..2df610c 100644
--- a/kimap/acl.h
+++ b/kimap/acl.h
@@ -89,17 +89,19 @@ enum Right {
   Custom9       = 0x800000  /**< Server-specific right 9 */
 };
 
-Q_DECLARE_FLAGS(Rights, Right)
+Q_DECLARE_FLAGS( Rights, Right )
 
 /**
  * Returns a rights mask that has no obsolete members anymore, i.e. obsolete flags are removed and
  * replaced by their successors.
+ * @param rights set of #Rights flags to normalize
  * @since 4.6
  */
 KIMAP_EXPORT Rights normalizedRights( Rights rights );
 
 /**
  * Returns a rights mask that contains both obsolete and new flags if one of them is set.
+ * @param rights set of #Rights flags to augment
  * @since 4.6
  */
 KIMAP_EXPORT Rights denormalizedRights( Rights rights );
diff --git a/kimap/acljobbase.cpp b/kimap/acljobbase.cpp
index 9bfe29a..5df4420 100644
--- a/kimap/acljobbase.cpp
+++ b/kimap/acljobbase.cpp
@@ -22,8 +22,8 @@
 #include "message_p.h"
 #include "session_p.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 using namespace KIMAP;
 
@@ -56,7 +56,7 @@ void AclJobBasePrivate::setRights(const QByteArray& rights)
     break;
   }
 
-  rightList = Acl::rightsFromString(rights);
+  rightList = Acl::rightsFromString( rights );
 }
 
 void AclJobBasePrivate::setRights(AclJobBase::AclModifier _modifier, Acl::Rights rights)
@@ -66,16 +66,13 @@ void AclJobBasePrivate::setRights(AclJobBase::AclModifier _modifier, Acl::Rights
   rightList|= rights;
 }
 
-
-
 AclJobBase::AclJobBase( Session *session )
-  : Job( *new AclJobBasePrivate(session, i18n("AclJobBase")) )
+  : Job( *new AclJobBasePrivate( session, i18n( "AclJobBase" ) ) )
 {
 }
 
-
 AclJobBase::AclJobBase( JobPrivate &dd )
-  : Job(dd)
+  : Job( dd )
 {
 
 }
@@ -84,17 +81,17 @@ AclJobBase::~AclJobBase()
 {
 }
 
-
 void AclJobBase::setMailBox( const QString &mailBox )
 {
-  Q_D(AclJobBase);
+  Q_D( AclJobBase );
   d->mailBox = mailBox;
 }
 
 QString AclJobBase::mailBox() const
 {
-  Q_D(const AclJobBase);
+  Q_D( const AclJobBase );
   return d->mailBox;
 }
 
-#include "acljobbase.moc"
\ No newline at end of file
+#include "acljobbase.moc"
+
diff --git a/kimap/acljobbase_p.h b/kimap/acljobbase_p.h
index 7550489..45345bd 100644
--- a/kimap/acljobbase_p.h
+++ b/kimap/acljobbase_p.h
@@ -23,14 +23,14 @@
 #include "acljobbase.h"
 #include "job_p.h"
 #include "session.h"
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 namespace KIMAP
 {
   class AclJobBasePrivate : public JobPrivate
   {
     public:
-      AclJobBasePrivate( Session *session, const QString& name ) : JobPrivate(session, name), rightList(Acl::None), modifier(AclJobBase::Change)
+      AclJobBasePrivate( Session *session, const QString& name ) : JobPrivate( session, name ), rightList( Acl::None ), modifier( AclJobBase::Change )
       {
       }
       ~AclJobBasePrivate() { }
diff --git a/kimap/appendjob.cpp b/kimap/appendjob.cpp
index b0e5c83..bda3904 100644
--- a/kimap/appendjob.cpp
+++ b/kimap/appendjob.cpp
@@ -19,7 +19,7 @@
 
 #include "appendjob.h"
 
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -44,7 +44,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 AppendJob::AppendJob( Session *session )
-  : Job( *new AppendJobPrivate(session, i18n("Append")) )
+  : Job( *new AppendJobPrivate( session, i18n( "Append" ) ) )
 {
 }
 
@@ -54,73 +54,73 @@ AppendJob::~AppendJob()
 
 void AppendJob::setMailBox( const QString &mailBox )
 {
-  Q_D(AppendJob);
+  Q_D( AppendJob );
   d->mailBox = mailBox;
 }
 
 QString AppendJob::mailBox() const
 {
-  Q_D(const AppendJob);
+  Q_D( const AppendJob );
   return d->mailBox;
 }
 
 void AppendJob::setFlags( const QList<QByteArray> &flags)
 {
-  Q_D(AppendJob);
+  Q_D( AppendJob );
   d->flags = flags;
 }
 
 QList<QByteArray> AppendJob::flags() const
 {
-  Q_D(const AppendJob);
+  Q_D( const AppendJob );
   return d->flags;
 }
 
 void AppendJob::setContent( const QByteArray &content )
 {
-  Q_D(AppendJob);
+  Q_D( AppendJob );
   d->content = content;
 }
 
 QByteArray AppendJob::content() const
 {
-  Q_D(const AppendJob);
+  Q_D( const AppendJob );
   return d->content;
 }
 
 qint64 AppendJob::uid() const
 {
-  Q_D(const AppendJob);
+  Q_D( const AppendJob );
   return d->uid;
 }
 
 void AppendJob::doStart()
 {
-  Q_D(AppendJob);
+  Q_D( AppendJob );
 
-  QByteArray parameters = '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"';
+  QByteArray parameters = '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"';
 
   if ( !d->flags.isEmpty() ) {
-    parameters+=" (";
+    parameters += " (";
     foreach ( const QByteArray &flag, d->flags ) {
-      parameters+= flag+' ';
+      parameters+= flag + ' ';
     }
-    parameters.chop(1);
-    parameters+=')';
+    parameters.chop( 1 );
+    parameters += ')';
   }
 
-  parameters+=" {"+QByteArray::number(d->content.size())+'}';
+  parameters += " {" + QByteArray::number( d->content.size() ) + '}';
 
   d->tags << d->sessionInternal()->sendCommand( "APPEND", parameters );
 }
 
 void AppendJob::handleResponse( const Message &response )
 {
-  Q_D(AppendJob);
+  Q_D( AppendJob );
 
   for ( QList<Message::Part>::ConstIterator it = response.responseCode.begin();
         it != response.responseCode.end(); ++it ) {
-    if ( it->toString()=="APPENDUID" ) {
+    if ( it->toString() == "APPENDUID" ) {
       it = it + 2;
       if ( it != response.responseCode.end() ) {
         d->uid = it->toString().toLongLong();
@@ -129,7 +129,7 @@ void AppendJob::handleResponse( const Message &response )
     }
   }
 
-  if (handleErrorReplies(response) == NotHandled ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
     if ( response.content[0].toString() == "+" ) {
       d->sessionInternal()->sendData( d->content );
     }
@@ -137,3 +137,4 @@ void AppendJob::handleResponse( const Message &response )
 }
 
 #include "appendjob.moc"
+
diff --git a/kimap/capabilitiesjob.cpp b/kimap/capabilitiesjob.cpp
index b07e1b9..a9b52dc 100644
--- a/kimap/capabilitiesjob.cpp
+++ b/kimap/capabilitiesjob.cpp
@@ -19,7 +19,7 @@
 
 #include "capabilitiesjob.h"
 
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -30,7 +30,7 @@ namespace KIMAP
   class CapabilitiesJobPrivate : public JobPrivate
   {
     public:
-      CapabilitiesJobPrivate( Session *session,  const QString& name ) : JobPrivate(session, name) { }
+      CapabilitiesJobPrivate( Session *session,  const QString& name ) : JobPrivate( session, name ) { }
       ~CapabilitiesJobPrivate() { }
 
       QStringList capabilities;
@@ -40,7 +40,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 CapabilitiesJob::CapabilitiesJob( Session *session )
-  : Job( *new CapabilitiesJobPrivate(session, i18n("Capabilities")) )
+  : Job( *new CapabilitiesJobPrivate( session, i18n( "Capabilities" ) ) )
 {
 }
 
@@ -50,29 +50,30 @@ CapabilitiesJob::~CapabilitiesJob()
 
 QStringList CapabilitiesJob::capabilities() const
 {
-  Q_D(const CapabilitiesJob);
+  Q_D( const CapabilitiesJob );
   return d->capabilities;
 }
 
 void CapabilitiesJob::doStart()
 {
-  Q_D(CapabilitiesJob);
+  Q_D( CapabilitiesJob );
   d->tags << d->sessionInternal()->sendCommand( "CAPABILITY" );
 }
 
 void CapabilitiesJob::handleResponse( const Message &response )
 {
 
-  Q_D(CapabilitiesJob);
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 2
-           && response.content[1].toString()=="CAPABILITY" ) {
-      for (int i=2; i<response.content.size(); ++i) {
+  Q_D( CapabilitiesJob );
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 2 &&
+         response.content[1].toString() == "CAPABILITY" ) {
+      for ( int i = 2; i < response.content.size(); ++i ) {
         d->capabilities << response.content[i].toString().toUpper();
       }
-      emit capabilitiesReceived(d->capabilities);
+      emit capabilitiesReceived( d->capabilities );
     }
   }
 }
 
 #include "capabilitiesjob.moc"
+
diff --git a/kimap/closejob.cpp b/kimap/closejob.cpp
index ea6416f..a59f386 100644
--- a/kimap/closejob.cpp
+++ b/kimap/closejob.cpp
@@ -19,7 +19,7 @@
 
 #include "closejob.h"
 
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -30,7 +30,7 @@ namespace KIMAP
   class CloseJobPrivate : public JobPrivate
   {
     public:
-      CloseJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      CloseJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~CloseJobPrivate() { }
   };
 }
@@ -38,7 +38,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 CloseJob::CloseJob( Session *session )
-  : Job( *new CloseJobPrivate(session, i18n("Close")) )
+  : Job( *new CloseJobPrivate( session, i18n( "Close" ) ) )
 {
 }
 
@@ -48,8 +48,9 @@ CloseJob::~CloseJob()
 
 void CloseJob::doStart()
 {
-  Q_D(CloseJob);
+  Q_D( CloseJob );
   d->tags << d->sessionInternal()->sendCommand( "CLOSE" );
 }
 
 #include "closejob.moc"
+
diff --git a/kimap/copyjob.cpp b/kimap/copyjob.cpp
index 05f2efb..a07d509 100644
--- a/kimap/copyjob.cpp
+++ b/kimap/copyjob.cpp
@@ -19,8 +19,8 @@
 
 #include "copyjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -34,7 +34,7 @@ namespace KIMAP
   class CopyJobPrivate : public JobPrivate
   {
     public:
-      CopyJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      CopyJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~CopyJobPrivate() { }
 
       QString mailBox;
@@ -47,9 +47,9 @@ namespace KIMAP
 using namespace KIMAP;
 
 CopyJob::CopyJob( Session *session )
-  : Job( *new CopyJobPrivate(session, i18n("Copy")) )
+  : Job( *new CopyJobPrivate( session, i18n( "Copy" ) ) )
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
   d->uidBased = false;
 }
 
@@ -59,53 +59,52 @@ CopyJob::~CopyJob()
 
 void CopyJob::setMailBox( const QString &mailBox )
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
   d->mailBox = mailBox;
 }
 
 QString CopyJob::mailBox() const
 {
-  Q_D(const CopyJob);
+  Q_D( const CopyJob );
   return d->mailBox;
 }
 
 void CopyJob::setSequenceSet( const ImapSet &set )
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
   d->set = set;
 }
 
 ImapSet CopyJob::sequenceSet() const
 {
-  Q_D(const CopyJob);
+  Q_D( const CopyJob );
   return d->set;
 }
 
-
 void CopyJob::setUidBased( bool uidBased )
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
   d->uidBased = uidBased;
 }
 
 bool CopyJob::isUidBased() const
 {
-  Q_D(const CopyJob);
+  Q_D( const CopyJob );
   return d->uidBased;
 }
 
 ImapSet CopyJob::resultingUids() const
 {
-  Q_D(const CopyJob);
+  Q_D( const CopyJob );
   return d->resultingUids;
 }
 
 void CopyJob::doStart()
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
 
   QByteArray parameters = d->set.toImapSequenceSet()+' ';
-  parameters+= '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"';
+  parameters += '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"';
 
   QByteArray command = "COPY";
   if ( d->uidBased ) {
@@ -117,11 +116,11 @@ void CopyJob::doStart()
 
 void CopyJob::handleResponse( const Message &response )
 {
-  Q_D(CopyJob);
+  Q_D( CopyJob );
 
   for ( QList<Message::Part>::ConstIterator it = response.responseCode.begin();
         it != response.responseCode.end(); ++it ) {
-    if ( it->toString()=="COPYUID" ) {
+    if ( it->toString() == "COPYUID" ) {
       it = it + 3;
       if ( it < response.responseCode.end() ) {
         d->resultingUids = ImapSet::fromImapSequenceSet( it->toString() );
@@ -134,3 +133,4 @@ void CopyJob::handleResponse( const Message &response )
 }
 
 #include "copyjob.moc"
+
diff --git a/kimap/createjob.cpp b/kimap/createjob.cpp
index 6f25e0a..b6d486f 100644
--- a/kimap/createjob.cpp
+++ b/kimap/createjob.cpp
@@ -19,8 +19,8 @@
 
 #include "createjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class CreateJobPrivate : public JobPrivate
   {
     public:
-      CreateJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      CreateJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~CreateJobPrivate() { }
 
       QString mailBox;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 CreateJob::CreateJob( Session *session )
-  : Job( *new CreateJobPrivate(session, i18n("Create")) )
+  : Job( *new CreateJobPrivate( session, i18n( "Create" ) ) )
 {
 }
 
@@ -52,20 +52,21 @@ CreateJob::~CreateJob()
 
 void CreateJob::doStart()
 {
-  Q_D(CreateJob);
-  d->tags << d->sessionInternal()->sendCommand( "CREATE", '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"' );
+  Q_D( CreateJob );
+  d->tags << d->sessionInternal()->sendCommand( "CREATE", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void CreateJob::setMailBox( const QString &mailBox )
 {
-  Q_D(CreateJob);
+  Q_D( CreateJob );
   d->mailBox = mailBox;
 }
 
 QString CreateJob::mailBox() const
 {
-  Q_D(const CreateJob);
+  Q_D( const CreateJob );
   return d->mailBox;
 }
 
 #include "createjob.moc"
+
diff --git a/kimap/deleteacljob.cpp b/kimap/deleteacljob.cpp
index b5ea9a9..ca3a206 100644
--- a/kimap/deleteacljob.cpp
+++ b/kimap/deleteacljob.cpp
@@ -19,8 +19,8 @@
 
 #include "deleteacljob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "acljobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class DeleteAclJobPrivate : public AclJobBasePrivate
   {
     public:
-      DeleteAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate(session, name) {}
+      DeleteAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate( session, name ) {}
       ~DeleteAclJobPrivate() { }
   };
 }
@@ -42,8 +42,8 @@ using namespace KIMAP;
 DeleteAclJob::DeleteAclJob( Session *session )
   : AclJobBase( session )
 {
-  Q_D(DeleteAclJob);
-  d->m_name = i18n("DeleteAclJob");
+  Q_D( DeleteAclJob );
+  d->m_name = i18n( "DeleteAclJob" );
 }
 
 DeleteAclJob::~DeleteAclJob()
@@ -52,21 +52,22 @@ DeleteAclJob::~DeleteAclJob()
 
 void DeleteAclJob::doStart()
 {
-  Q_D(DeleteAclJob);
+  Q_D( DeleteAclJob );
 
-  d->tags << d->sessionInternal()->sendCommand( "DELETEACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" \"" + d->id);
+  d->tags << d->sessionInternal()->sendCommand( "DELETEACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" \"" + d->id );
 }
 
 void DeleteAclJob::setIdentifier( const QByteArray &identifier )
 {
-  Q_D(DeleteAclJob);
-  d->setIdentifier(identifier);
+  Q_D( DeleteAclJob );
+  d->setIdentifier( identifier );
 }
 
 QByteArray DeleteAclJob::identifier()
 {
-  Q_D(DeleteAclJob);
+  Q_D( DeleteAclJob );
   return d->identifier();
 }
 
 #include "deleteacljob.moc"
+
diff --git a/kimap/deletejob.cpp b/kimap/deletejob.cpp
index 59201ff..c1149ca 100644
--- a/kimap/deletejob.cpp
+++ b/kimap/deletejob.cpp
@@ -19,8 +19,8 @@
 
 #include "deletejob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class DeleteJobPrivate : public JobPrivate
   {
     public:
-      DeleteJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      DeleteJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~DeleteJobPrivate() { }
 
       QString mailBox;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 DeleteJob::DeleteJob( Session *session )
-  : Job( *new DeleteJobPrivate(session, i18n("Delete")) )
+  : Job( *new DeleteJobPrivate( session, i18n( "Delete" ) ) )
 {
 }
 
@@ -52,20 +52,21 @@ DeleteJob::~DeleteJob()
 
 void DeleteJob::doStart()
 {
-  Q_D(DeleteJob);
-  d->tags << d->sessionInternal()->sendCommand( "DELETE", '\"'+KIMAP::encodeImapFolderName( d->mailBox.toUtf8() )+'\"' );
+  Q_D( DeleteJob );
+  d->tags << d->sessionInternal()->sendCommand( "DELETE", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void DeleteJob::setMailBox( const QString &mailBox )
 {
-  Q_D(DeleteJob);
+  Q_D( DeleteJob );
   d->mailBox = mailBox;
 }
 
 QString DeleteJob::mailBox() const
 {
-  Q_D(const DeleteJob);
+  Q_D( const DeleteJob );
   return d->mailBox;
 }
 
-#include "deletejob.moc"
\ No newline at end of file
+#include "deletejob.moc"
+
diff --git a/kimap/expungejob.cpp b/kimap/expungejob.cpp
index 8da8285..63bed80 100644
--- a/kimap/expungejob.cpp
+++ b/kimap/expungejob.cpp
@@ -19,8 +19,8 @@
 
 #include "expungejob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -31,7 +31,7 @@ namespace KIMAP
   class ExpungeJobPrivate : public JobPrivate
   {
     public:
-      ExpungeJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      ExpungeJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~ExpungeJobPrivate() { }
 #if 0
       QList< int > items;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 ExpungeJob::ExpungeJob( Session *session )
-  : Job( *new ExpungeJobPrivate(session, i18n("Expunge")) )
+  : Job( *new ExpungeJobPrivate( session, i18n( "Expunge" ) ) )
 {
 }
 
@@ -52,7 +52,7 @@ ExpungeJob::~ExpungeJob()
 
 void ExpungeJob::doStart()
 {
-  Q_D(ExpungeJob);
+  Q_D( ExpungeJob );
   d->tags << d->sessionInternal()->sendCommand( "EXPUNGE" );
 }
 
@@ -60,25 +60,26 @@ void ExpungeJob::handleResponse( const Message &response )
 {
 //  Q_D(ExpungeJob);
 
-  if (handleErrorReplies(response) == NotHandled) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
     if ( response.content.size() >= 2 ) {
         QByteArray code = response.content[2].toString();
-        if  (code == "EXPUNGE") {
+        if ( code == "EXPUNGE" ) {
 #if 0
           QByteArray s = response.content[1].toString();
           bool ok = true;
-          int id = s.toInt(&ok);
-          if (ok) {
-            d->items.append(id);
+          int id = s.toInt( &ok );
+          if ( ok ) {
+            d->items.append( id );
           }
           //TODO error handling
 #endif
           return;
         }
     }
-    qDebug() << "Unhandled response: " << response.toString().constData();
+    kDebug() << "Unhandled response: " << response.toString().constData();
 
   }
 }
 
 #include "expungejob.moc"
+
